Autore Topic: Problema installazione SMF 2.0.15  (Letto 2401 volte)

0 Utenti e 1 Visitatore stanno visualizzando questo topic.

Offline wild56

  • Utente IS Lv.4
  • ****
  • Post: 562
    • Mostra profilo
  • Versione SMF: 2.0.x
Problema installazione SMF 2.0.15
« il: Lunedì, 04 Dicembre 2017 08:39 »
l'aggiornamento fallisce col seguente messaggio:

"Il caricamento del pacchetto è fallito per il seguente motivo:
"Il pacchetto sembra essere vuoto, nonostante sia stato scaricato dal server. Controlla per favore che la cartella Packages e la sotto-cartella "temp" siano entrambe scrivibili. Se continui a riscontrare questo problema, prova ad estrarre il pacchetto sul tuo PC, a caricare i file estratti in una sotto-cartella di Packages e a provare nuovamente. Per esempio, se il pacchetto è chiamato shout.tar.gz, dovrai:
1) Scaricarlo sul tuo PC ed estrarre i file
2) Utilizzare un client FTP per creare una nuova cartella in "Packages", che in questo caso potrai chiamerai "shout".
3) Caricare tutti i file estratti dal pacchetto in questa cartella.
4) Tornare al gestore pacchetti, dove il pacchetto verrà automaticamente trovato da SMF."

ho controllato la scrittura delle cartelle packages, mentre la sottocartella temp non c'era e quindi l'ho creata. Rifatta la procedura ma esce lo stesso errore
Ho provato la procedura 2 ma esiste già sotto packages una cartella shout al cui interno ci sono altre cartelle (vedi allegato)...  che devo fare?

Offline emanuele

  • Amministratore IS
  • *******
  • Post: 4968
    • Mostra profilo
    • ElkArte
  • Versione SMF: Altro
  • Versione ElkArte: 1.0.x
Re: Problema installazione SMF 2.0.15
« Risposta #1 il: Lunedì, 04 Dicembre 2017 20:46 »
Se c'è scritto Per esempio forse il nome della cartella è un esempio, non l'unico da usare.
Se stai caricando un aggiornamento, potrai chiamarla smf_2-0-15 o qualsiasicosa-che-ti-pare.
Se in shout c'è quello che mostri nell'immagine, io cancellerei la cartella.

E da ultimo: per favore, quando hai un problema usa il tasto "nuovo topic" e crea un topic tuo (wild56, non è che ti sei iscritto ieri sul forum, è una delle poche cose che si chiede di fare, e non perché ci divertiamo o perché vogliamo aumentare il counter dei topic, ma perché così non c'è nemmeno il rischio di far casino tra problemi diversi).

Offline wild56

  • Utente IS Lv.4
  • ****
  • Post: 562
    • Mostra profilo
  • Versione SMF: 2.0.x
Re:Problema installazione SMF 2.0.15
« Risposta #2 il: Martedì, 05 Dicembre 2017 10:43 »
ok, chiedo scusa per sopra.

Ho provato di nuovo, caricando i file sul server, quindi settando i permessi tramite ftp filezilla come da istruzioni nel file readme con le varie combinazioni:  CHMOD di 644, 664 o 666 per i file e 755, 775 o 777 per le cartelle (ovvero 644 file e 755 cartelle etc)

Ma nessuna combinazione ha funzionato: digitando nel browser il file https://girovagandoinmontagna.com/gim/Packages/shout/upgrade.php

esce il messaggio:

Citazione
Forbidden

You don't have permission to access /gim/Packages/shout/upgrade.php on this server.
Server unable to read htaccess file, denying access to be safe

Additionally, a 403 Forbidden error was encountered while trying to use an ErrorDocument to handle the request.

update: mi sono accorto che era possibile scaricare la patch direttamente dal gestore pacchetti, ma l'installazione fallisce nella sezione source/manageMembers.php, vedi allegato


« Ultima modifica: Mercoledì, 06 Dicembre 2017 08:37 da wild56 »

Offline wild56

  • Utente IS Lv.4
  • ****
  • Post: 562
    • Mostra profilo
  • Versione SMF: 2.0.x
Re:Problema installazione SMF 2.0.15
« Risposta #3 il: Sabato, 09 Dicembre 2017 09:30 »
Nessun suggerimento? ;)

Offline wild56

  • Utente IS Lv.4
  • ****
  • Post: 562
    • Mostra profilo
  • Versione SMF: 2.0.x
Re:Problema installazione SMF 2.0.15
« Risposta #4 il: Giovedì, 21 Dicembre 2017 15:05 »
è una situazione disperata? :)

Offline wild56

  • Utente IS Lv.4
  • ****
  • Post: 562
    • Mostra profilo
  • Versione SMF: 2.0.x
Re:Problema installazione SMF 2.0.15
« Risposta #5 il: Mercoledì, 27 Dicembre 2017 23:08 »
Ho provato a chiedere aiuto al mio provider riguardo il messaggio di errore quando tento di eseguire il comando https://girovagandoinmontagna.com/gim/Packages/shout/upgrade.php

Citazione
Forbidden

You don't have permission to access /gim/Packages/shout/upgrade.php on this server.
Server unable to read htaccess file, denying access to be safe
Additionally, a 403 Forbidden error was encountered while trying to use an ErrorDocument to handle the request.

la risposta dell'help desk

Citazione
Buonasera,

dopo alcune analisi ho scoperto che era il file htaccess della sottocartella a generare il problema. Tuttavia ora l'error_log riporta quanto segue:

[27-Dec-2017 22:24:11 Europe/Berlin] PHP Warning:  require_once(/home/ctyrbtyo/public_html/gim/Packages/shout/Settings.php): failed to open stream: No such file or directory in /home/ctyrbtyo/public_html/gim/Packages/shout/upgrade.php on line 90
[27-Dec-2017 22:24:11 Europe/Berlin] PHP Fatal error:  require_once(): Failed opening required '/home/ctyrbtyo/public_html/gim/Packages/shout/Settings.php' (include_path='.:/opt/cpanel/ea-php56/root/usr/share/pear') in /home/ctyrbtyo/public_html/gim/Packages/shout/upgrade.php on line 90
che pare indicare la mancanza del file Setting.php o un errore in esso.

Cordiali Saluti,

non ho capito cosa devo fare.., il file upgrade.php esiste nel percorso, mentre il file settings.php effettivamente non c'è. Ma non c'è neppure nel pacchetto di upgrade che ho scaricato....
« Ultima modifica: Giovedì, 28 Dicembre 2017 08:49 da wild56 »

Offline wild56

  • Utente IS Lv.4
  • ****
  • Post: 562
    • Mostra profilo
  • Versione SMF: 2.0.x
Re:Problema installazione SMF 2.0.15
« Risposta #6 il: Martedì, 02 Gennaio 2018 09:38 »
Nessun suggerimento al riguardo? :(

Offline Darknico

  • Amministratore IS
  • *******
  • Post: 2287
  • Sesso: Maschio
  • Server Admin
    • Mostra profilo
    • Darknico.com
  • Versione SMF: 2.0.x
  • Versione ElkArte: -
Re:Problema installazione SMF 2.0.15
« Risposta #7 il: Martedì, 02 Gennaio 2018 14:13 »
Io non ho capito cosa stai facendo...
stai installando l'aggiornamento di SMF alla versione 2.0.15 o una mod??
Non supporto privatamente, non risponderei e ci rimarreste male....





Offline wild56

  • Utente IS Lv.4
  • ****
  • Post: 562
    • Mostra profilo
  • Versione SMF: 2.0.x
Re:Problema installazione SMF 2.0.15
« Risposta #8 il: Martedì, 02 Gennaio 2018 15:46 »
L'aggiornamento da 2.0.14 a 2.0.15 ma non c'è verso :(

Offline Darknico

  • Amministratore IS
  • *******
  • Post: 2287
  • Sesso: Maschio
  • Server Admin
    • Mostra profilo
    • Darknico.com
  • Versione SMF: 2.0.x
  • Versione ElkArte: -
Re:Problema installazione SMF 2.0.15
« Risposta #9 il: Martedì, 02 Gennaio 2018 17:53 »
E cosa centra quel link all'upgrade dello shout??
Quello che devi fare è installare la patch da package manager, ma ci deve pensare lui, tu non devi lanciare nulla.
Se da errore, vediamo di capire dove e perchè, così da sistemare eventualmente il file a mano per farlo funzionare...

Non supporto privatamente, non risponderei e ci rimarreste male....





Offline wild56

  • Utente IS Lv.4
  • ****
  • Post: 562
    • Mostra profilo
  • Versione SMF: 2.0.x
Re:Problema installazione SMF 2.0.15
« Risposta #10 il: Mercoledì, 03 Gennaio 2018 08:28 »
Provo a riassumere: l'aggiornamento dal pannello di controllo (gestore pacchetti) non va a buon fine, clicco sul link ma quando provo a installare esce l'errore in allegato

Offline Darknico

  • Amministratore IS
  • *******
  • Post: 2287
  • Sesso: Maschio
  • Server Admin
    • Mostra profilo
    • Darknico.com
  • Versione SMF: 2.0.x
  • Versione ElkArte: -
Re:Problema installazione SMF 2.0.15
« Risposta #11 il: Mercoledì, 03 Gennaio 2018 09:25 »
Allega qui quel file, vediamo se si riesce a modificare per fare in modo che l'installazione vada a buon fine
Non supporto privatamente, non risponderei e ci rimarreste male....





Offline wild56

  • Utente IS Lv.4
  • ****
  • Post: 562
    • Mostra profilo
  • Versione SMF: 2.0.x
Re:Problema installazione SMF 2.0.15
« Risposta #12 il: Mercoledì, 03 Gennaio 2018 10:53 »
non so come fare a scaricarlo, io clicco sul link che mi propone Smf per l'upgrade...
« Ultima modifica: Mercoledì, 03 Gennaio 2018 10:54 da Darknico »

Offline Darknico

  • Amministratore IS
  • *******
  • Post: 2287
  • Sesso: Maschio
  • Server Admin
    • Mostra profilo
    • Darknico.com
  • Versione SMF: 2.0.x
  • Versione ElkArte: -
Re:Problema installazione SMF 2.0.15
« Risposta #13 il: Mercoledì, 03 Gennaio 2018 10:55 »
Non hai capito, voglio il tuo file managemenbers.php, quello che non riesce a modificare.
allegalo qui

P.S. eliminato il link, non è una cosa sensata mettere un link con sessione e tutto che punta all'admin...
Non supporto privatamente, non risponderei e ci rimarreste male....





Offline wild56

  • Utente IS Lv.4
  • ****
  • Post: 562
    • Mostra profilo
  • Versione SMF: 2.0.x
Re:Problema installazione SMF 2.0.15
« Risposta #14 il: Mercoledì, 03 Gennaio 2018 11:13 »
ah scusami... eccolo!

 

Installazione Mod - *Problema permessi*

Aperto da i_fiorentinoSezione SMF 2.0

Risposte: 2
Visite: 930
Ultimo post Giovedì, 30 Ottobre 2014 10:26
da i_fiorentino
installazione Simple Machines Forum problema creazione Database

Aperto da mario71Sezione SMF 2.0

Risposte: 15
Visite: 3064
Ultimo post Mercoledì, 19 Agosto 2015 16:31
da Flavio93Zena
problema installazione chat

Aperto da liku337Sezione Mods - Modifiche SMF

Risposte: 62
Visite: 5387
Ultimo post Lunedì, 19 Giugno 2017 21:56
da liku337